Are there specific instructions on how to downgrade transmission version 2.04 BACK to version 1.93

Asked by ghostaman on 2010-10-04

Okay I installed 10.10 and did not take into account that transmission would be upgraded as well in the process.

Are there specific instructions on how to downgrade transmission version 2.04 back to version 1.93 so I can resume
my downloading as the current version is not supported on the site that I am with.

Any help greatly appreciated.

cheers ghost

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu transmission Edit question
Assignee:
No assignee Edit question
Last query:
2010-10-07
Last reply:
2010-10-21

If you can find a maverick deb for 1.93 then you can install it. Simply remove the current one, install the old then use apt to pin the version so future updates do not touch it.

ghostaman (ghost4man) said : #2

Sorry but am something of a noob when it comes to doing this but what is the process of uninstalling the existing client.

I can easily get into System->Administration->Synaptic Manager but I then get a bit lost from there.

cheers for any further help

ghostaman (ghost4man) said : #3

Okay I successfully removed transmission version 2.04. Wow success:)

Now how do I go about finding version 1.93 and then installing.

cheers ghost

Just try stuff, the OS is very intuitive. Don't be afraid or you'll never learn the OS ;)

ghostaman (ghost4man) said : #5

OKay I downloaded version 1.93 which has the extension dmg, and have spent the last 2 hours playing around with different folders looking for an equivalent exe file to load. Having no success here. Feel like I am at the last hurdle.

When I open up the main folder I have the following folders CLI, DAEMON, DOC, GTK etc.
Not sure where to go from here to get the installation up and running.

cheers for any assistance.

ghost

zvacet (ivicakolic) said : #6

Add https://edge.launchpad.net/~transmissionbt/+archive/ppa to your source list and you will be able to install transmission 1.93.

ghostaman (ghost4man) said : #7

Hi Zvacet,

Over the last couple of days I have really enjoyed the process and it has been a learning curve for me.

Alright I now know how to access the synaptic manager and install from the listed repositories. I can even
uninstall from here as well so it is not without trying. I have even gone to youtube to learn about the process
on installing but if there is one thing that other people are complaining about, then it is the lack of instruction
regarding installation from your own personal download which is NOT already in the repository. It seems I am not
the only one who is seeking instruction in this regard.

Last nite I learnt how to install from the terminal:

sudo get-apt install transmission

so I am learning through research etc. From this I could gauge that it looks for the latest version and installs this only
and not previous versions.

In relation to your suggestion how do you add to the source list???

cheers for any further assistance.

ghost

zvacet (ivicakolic) said : #8

Open link witch I posted to you and on that page you will see Adding PPA and read about installing.Read that carefully and you will know how to add ppa to your source list and after that you will be able to install desired package from synaptic.I know this is not answer you are looking for,but I think it is better to tell you where to find solution instead to write it all over again here.Be patient and soon you will enjoy using Ubuntu.

ghostaman (ghost4man) said : #9

Hi Zvacet,

Ok this is what I have done.

I opened up terminal after having read the link that you directed me to as far as adding PPA and
typed in the following command:

sudo add-apt-repository ppa:transmissionbt/ppa

Is this right?

After this I am prompted to provide my password which I do.

Okay I then go into synaptic manager and search for transmission.
I only seem to find the latest version of transmission version 2.04 which at this stage I do not want as
I want version 1.93. I go back into synaptic and remove transmission as best as possible. But I cant
seem to locate 1.93. What to do? I understand the principle behind PPA's and the distribution of software to
ubuntu users so at least I am learning something. I am getting there slowly. Thankyou for your assistance
and guidance. Hopefully the next step will get me there.

cheers ozzie

ghostaman (ghost4man) said : #10

Hi Zvacet,

Ok reading on I can go from the menu into PACKAGE->FORCE VERSION. The drop down indicates
that I can only choose from 2.04. Am making progress but just seem to be falling short.

It seems to be only accessing the latest version and not previous ones like 1.93.

Where to from here?

cheers ghost

ghostaman (ghost4man) said : #11

Hi Zvacet,

This is what appears:

ozzie@ozzie-desktop:~$ sudo add-apt-repository ppa:transmissionbt/ppa
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv A37DA909AE70535824D82620976B5901365C5CA1
gpg: requesting key 365C5CA1 from hkp server keyserver.ubuntu.com
gpg: key 365C5CA1: "Launchpad PPA for transmissionbt" not changed
gpg: Total number processed: 1
gpg: unchanged: 1
ozzie@ozzie-desktop:~$

Hope this information helps

cheers ghost

zvacet (ivicakolic) said : #12

Sorry for late response.From what <i can see in PPA 1.93 is still available.As I can see you added PPA to your source list and from there you should be able to install Transmission 1.93 from synaptic.I donĀ“t understand why that is not possible.sorry that is all what I can tell you about that.Maybe someone else will know better.

Can you help with this problem?

Provide an answer of your own, or ask ghostaman for more information if necessary.

To post a message you must log in.